%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         digitalocean
%global repo            godo
# https://github.com/digitalocean/godo
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          8dc1f54d1a60ffad00ff7842fd5b385dc5a31fd5
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        DigitalOcean Go API client
License:        MIT
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
Summary:       %{summary}
BuildRequires: golang >= 1.2.1-3
BuildRequires: golang(github.com/google/go-querystring/query)
BuildRequires: golang(github.com/tent/http-link-go)
Requires:      golang(github.com/google/go-querystring/query)
Requires:      golang(github.com/tent/http-link-go)
Provides:      golang(%{import_path}) = %{version}-%{release}
Provides:      golang(%{import_path}/util) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/

# copy directories
for file in ./* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{import_path}/
    fi
done

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}

%files devel
%if 0%{?fedora}
%license LICENSE.txt
%doc CONTRIBUTING.md README.md
%else
%doc LICENSE.txt CONTRIBUTING.md README.md
%endif
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Thu Apr 16 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git8dc1f54
- First package for Fedora
  resolves: #1215104
